#ifndef _RESULTS_H
#define _RESULTS_H

#include <string>
#include <fstream>
#include "configs.h"
#include "deftypes.h"

class Result {
    std::string data_copy;
    std::string trend_data;
    std::fstream rfile;
public:
    Result( Config& );
    ~Result();
    void meteoResults( MonitorInfo& );
    void meteoAccResults( MonitorInfo& );
    void meteoTrends( MonitorInfo& );
    std::string& data() { return data_copy; }
    std::string& trend() { return trend_data; }
private:
    std::string parstamp() { return headstamp( "P" ); }
    std::string comstamp() { return headstamp( "#" ); }
    std::string datstamp() { return headstamp( "d" ); }
    std::string headstamp( const std::string& );
    double tendency( double, double,  double );
};

#endif
